## python-aiohttp 0.17.2

=== Makefile ===
# Some simple testing tasks (sorry, UNIX only).

FLAGS=


flake:
#	python setup.py check -rms
	flake8 aiohttp tests examples

develop:
	python setup.py develop

test: flake develop
	nosetests -s $(FLAGS) ./tests/

vtest: flake develop
	nosetests -s -v $(FLAGS) ./tests/

cov cover coverage:
	tox

cov-dev: flake develop
	@coverage erase
	@coverage run -m nose -s $(FLAGS) tests
	@mv .coverage .coverage.accel
	@AIOHTTP_NO_EXTENSIONS=1 coverage run -m nose -s $(FLAGS) tests
	@mv .coverage .coverage.pure
	@coverage combine
	@coverage report
	@coverage html
	@echo "open file://`pwd`/coverage/index.html"

clean:
	rm -rf `find . -name __pycache__`
	rm -f `find . -type f -name '*.py[co]' `
	rm -f `find . -type f -name '*~' `
	rm -f `find . -type f -name '.*~' `
	rm -f `find . -type f -name '@*' `
	rm -f `find . -type f -name '#*#' `
	rm -f `find . -type f -name '*.orig' `
	rm -f `find . -type f -name '*.rej' `
	rm -f .coverage
	rm -rf coverage
	rm -rf build
	rm -rf cover
	make -C docs clean
	python setup.py clean
	rm -f aiohttp/_multidict.html
	rm -f aiohttp/_multidict.c
	rm -f aiohttp/_multidict.*.so
	rm -f aiohttp/_multidict.*.pyd
	rm -rf .tox

doc:
	make -C docs html
	@echo "open file://`pwd`/docs/_build/html/index.html"

doc-spelling:
	make -C docs spelling

.PHONY: all build venv flake test vtest testloop cov clean doc

=== debian/changelog ===
python-aiohttp (0.17.2-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Agustin Henze <tin@debian.org>  Tue, 01 Sep 2015 16:41:27 -0300

python-aiohttp (0.17.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * d/patches/no-gunicorn.patch: Deleted; we have python3-gunicorn now.
  * d/control: Add python3-gunicorn to Build-Depends.
  * d/rules: override_dh_auto_test until pybuild bug #749506 is fixed.

 -- Barry Warsaw <barry@debian.org>  Thu, 13 Aug 2015 16:12:29 -0400

python-aiohttp (0.15.3-1) unstable; urgency=medium

  * Update to 0.15.3 upstream release.

 -- Tianon Gravi <admwiggin@gmail.com>  Sun, 03 May 2015 06:44:18 +0000

python-aiohttp (0.15.1-1) unstable; urgency=medium

  * Initial release.

 -- Tianon Gravi <admwiggin@gmail.com>  Sat, 04 Apr 2015 09:07:00 -0600

=== debian/control ===
Source: python-aiohttp
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Tianon Gravi <admwiggin@gmail.com>,
           Paul Tagliamonte <paultag@debian.org>,
           Piotr Ożarowski <piotr@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python3-all-dev (>= 3.4~),
               python3-all-dbg (>= 3.4~),
               python3-setuptools,
               python3-sphinx,
               cython3,
# for tests:
               python3-nose,
               python3-chardet,
               python3-gunicorn
Standards-Version: 3.9.6
Homepage: https://aiohttp.readthedocs.org
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-aiohttp/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-aiohttp/trunk/
X-Python3-Version: >= 3.4

Package: python3-aiohttp
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: http client/server for asyncio
 HTTP Client for asyncio (PEP 3156 - Asynchronous I/O Support).
 .
 Features:
  * supports both client and server side of HTTP protocol,
  * supports both client and server Web-Sockets out-of-the-box,
  * web-server has middlewares and pluggable routing.

Package: python3-aiohttp-dbg
Architecture: any
Section: debug
Priority: extra
Depends: python3-aiohttp (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Description: http client/server for asyncio - debug version
 HTTP Client for asyncio (PEP 3156 - Asynchronous I/O Support).
 .
 Features:
  * supports both client and server side of HTTP protocol,
  * supports both client and server Web-Sockets out-of-the-box,
  * web-server has middlewares and pluggable routing.
 .
 This package contains the extension built for the Python 3 debug interpreter.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = aiohttp

%:
	dh $@ --with python3,sphinxdoc --buildsystem pybuild

# Until bug #749506 in pybuild is fixed.
PYTHON3:=$(shell py3versions -vs)

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	set -e; \
	for i in $(PYTHON3) ; do \
		python$$i -m nose ./tests/ || true; \
	done
endif

## python-aiohttp 0.20.2

=== Makefile ===
--- 
+++ 
@@ -1,33 +1,38 @@
 # Some simple testing tasks (sorry, UNIX only).
 
-FLAGS=
+.install-deps: requirements-dev.txt
+	pip install -U -r requirements-dev.txt
+	touch .install-deps
+
+flake: .install-deps
+#	python setup.py check -rms
+	flake8 aiohttp
+	if python -c "import sys; sys.exit(sys.version_info < (3,5))"; then \
+            flake8 examples tests; \
+        fi
 
 
-flake:
-#	python setup.py check -rms
-	flake8 aiohttp tests examples
+.develop: .install-deps $(shell find aiohttp -type f)
+	pip install -e .
+	touch .develop
 
-develop:
-	python setup.py develop
+test: flake .develop
+	py.test -q ./tests/
 
-test: flake develop
-	nosetests -s $(FLAGS) ./tests/
-
-vtest: flake develop
-	nosetests -s -v $(FLAGS) ./tests/
+vtest: flake .develop
+	py.test -s -v ./tests/
 
 cov cover coverage:
 	tox
 
-cov-dev: flake develop
-	@coverage erase
-	@coverage run -m nose -s $(FLAGS) tests
-	@mv .coverage .coverage.accel
-	@AIOHTTP_NO_EXTENSIONS=1 coverage run -m nose -s $(FLAGS) tests
-	@mv .coverage .coverage.pure
-	@coverage combine
-	@coverage report
-	@coverage html
+cov-dev: .develop
+	py.test --cov=aiohttp --cov-report=term --cov-report=html tests 
+	@echo "open file://`pwd`/coverage/index.html"
+
+cov-dev-full: .develop
+	AIOHTTP_NO_EXTENSIONS=1 py.test --cov=aiohttp --cov-append tests 
+	PYTHONASYNCIODEBUG=1 py.test --cov=aiohttp --cov-append tests 
+	py.test --cov=aiohttp --cov-report=term --cov-report=html tests 
 	@echo "open file://`pwd`/coverage/index.html"
 
 clean:
@@ -58,4 +63,8 @@
 doc-spelling:
 	make -C docs spelling
 
+install:
+	pip install -U pip
+	pip install -Ur requirements-dev.txt
+
 .PHONY: all build venv flake test vtest testloop cov clean doc

=== debian/changelog ===
python-aiohttp (0.20.2-1) unstable; urgency=medium

  * New upstream release.
  * Replace python3-nose with python3-pytest in Build-Depends
    and remove override_dh_auto_test from debian/rules;
    remove no longer needed override_dh_auto_test in debian/rules
  * Remove .cache directory in clean target

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 28 Jan 2016 21:42:23 +0100

python-aiohttp (0.17.4-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 29 Sep 2015 23:12:42 +0200

=== debian/control ===
--- 
+++ 
@@ -13,13 +13,13 @@
                python3-sphinx,
                cython3,
 # for tests:
-               python3-nose,
+               python3-pytest,
                python3-chardet,
                python3-gunicorn
 Standards-Version: 3.9.6
 Homepage: https://aiohttp.readthedocs.org
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-aiohttp/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-aiohttp/trunk/
+Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-aiohttp.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-aiohttp.git
 X-Python3-Version: >= 3.4
 
 Package: python3-aiohttp

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = aiohttp
# enable pytest also here to make backports easier
export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS={dir}/tests
export PYBUILD_TEST_ARGS_python3.5=$(PYBUILD_TEST_ARGS) -k-test_client_functional_oldstyle
export PYBUILD_TEST_ARGS_python3.5-dbg=$(PYBUILD_TEST_ARGS_python3.5)

%:
	dh $@ --with python3,sphinxdoc --buildsystem pybuild

override_dh_auto_clean:
	rm -rf .cache
	dh_auto_clean

## python-aiohttp 0.22.4

=== debian/changelog ===
python-aiohttp (0.22.4-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Piotr Ożarowski ]
  * New upstream release
    - Add dependency on python3-multidict
  * Backport changes in test/test_connector.py from upstream master branch
  * Standards-Version bumped to 3.9.8 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 28 Jul 2016 23:32:19 +0200

=== debian/control ===
--- 
+++ 
@@ -11,14 +11,15 @@
                python3-all-dbg (>= 3.4~),
                python3-setuptools,
                python3-sphinx,
+               python3-multidict,
                cython3,
 # for tests:
                python3-pytest,
                python3-chardet,
                python3-gunicorn
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://aiohttp.readthedocs.org
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-aiohttp.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-aiohttp.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-aiohttp.git
 X-Python3-Version: >= 3.4

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = aiohttp
# enable pytest also here to make backports easier
export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS={dir}/tests

%:
	dh $@ --with python3,sphinxdoc --buildsystem pybuild

override_dh_auto_clean:
	rm -rf .cache
	dh_auto_clean

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## python-aiohttp 1.1.5

=== Makefile ===
# Some simple testing tasks (sorry, UNIX only).

.install-deps: requirements-dev.txt
	@pip install -U -r requirements-dev.txt
	@touch .install-deps

isort:
	isort -rc aiohttp
	isort -rc tests
	isort -rc examples
	isort -rc demos

flake: .flake

.flake: .install-deps $(shell find aiohttp -type f) \
                      $(shell find tests -type f) \
                      $(shell find benchmark -type f) \
                      $(shell find examples -type f) \
                      $(shell find demos -type f)
	@flake8 aiohttp
	@if python -c "import sys; sys.exit(sys.version_info < (3,5))"; then \
	    flake8 examples tests demos benchmark && \
            python setup.py check -rms; \
	fi
	@if ! isort -c -rc aiohttp tests examples; then \
            echo "Import sort errors, run 'make isort' to fix them!!!"; \
            isort --diff -rc aiohttp tests benchmark examples; \
            false; \
        fi
	@touch .flake


.develop: .install-deps $(shell find aiohttp -type f) .flake
	@pip install -e .
	@touch .develop

test: .develop
	@py.test -q ./tests

vtest: .develop
	@py.test -s -v ./tests

cov cover coverage:
	tox

cov-dev: .develop
	@py.test --cov=aiohttp --cov-report=term --cov-report=html tests
	@echo "open file://`pwd`/coverage/index.html"

cov-dev-full: .develop
	@AIOHTTP_NO_EXTENSIONS=1 py.test --cov=aiohttp tests
	@PYTHONASYNCIODEBUG=1 py.test --cov=aiohttp --cov-append tests
	@py.test --cov=aiohttp --cov-report=term --cov-report=html --cov-append tests
	@echo "open file://`pwd`/coverage/index.html"

clean:
	@rm -rf `find . -name __pycache__`
	@rm -f `find . -type f -name '*.py[co]' `
	@rm -f `find . -type f -name '*~' `
	@rm -f `find . -type f -name '.*~' `
	@rm -f `find . -type f -name '@*' `
	@rm -f `find . -type f -name '#*#' `
	@rm -f `find . -type f -name '*.orig' `
	@rm -f `find . -type f -name '*.rej' `
	@rm -f .coverage
	@rm -rf coverage
	@rm -rf build
	@rm -rf cover
	@make -C docs clean
	@python setup.py clean
	@rm -f aiohttp/_multidict.html
	@rm -f aiohttp/_multidict.c
	@rm -f aiohttp/_multidict.*.so
	@rm -f aiohttp/_multidict.*.pyd
	@rm -f aiohttp/_websocket.html
	@rm -f aiohttp/_websocket.c
	@rm -f aiohttp/_websocket.*.so
	@rm -f aiohttp/_websocket.*.pyd
	@rm -rf .tox

doc:
	@make -C docs html SPHINXOPTS="-W -E"
	@echo "open file://`pwd`/docs/_build/html/index.html"

doc-spelling:
	@make -C docs spelling SPHINXOPTS="-W -E"

install:
	@pip install -U pip
	@pip install -Ur requirements-dev.txt

.PHONY: all build flake test vtest cov clean doc

## python-aiohttp 1.2.0

=== Makefile ===
--- 
+++ 
@@ -48,8 +48,11 @@
 	@echo "open file://`pwd`/coverage/index.html"
 
 cov-dev-full: .develop
+	@echo "Run without extensions"
 	@AIOHTTP_NO_EXTENSIONS=1 py.test --cov=aiohttp tests
+	@echo "Run in debug mode"
 	@PYTHONASYNCIODEBUG=1 py.test --cov=aiohttp --cov-append tests
+	@echo "Regular run"
 	@py.test --cov=aiohttp --cov-report=term --cov-report=html --cov-append tests
 	@echo "open file://`pwd`/coverage/index.html"

=== debian/changelog ===
python-aiohttp (1.2.0-1) unstable; urgency=medium

  * New upstream release
  * debian/compat changed to 10 (this change also closes: 845178 thanks to
    dh_autoreconf)

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 21 Dec 2016 13:30:27 +0100

python-aiohttp (1.1.5-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 18 Nov 2016 19:58:04 +0100

python-aiohttp (1.1.2-1) unstable; urgency=medium

  * New upstream release
    - works with new multidict (closes: 835299)
    - decompresses HTTP bodies (closes: 833254)
  * tests disabled for now (see comment in debian/rules)
    closes: 830567, 839478

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 08 Nov 2016 22:58:56 +0100

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,15 @@
 Uploaders: Tianon Gravi <admwiggin@gmail.com>,
            Paul Tagliamonte <paultag@debian.org>,
            Piotr Ożarowski <piotr@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                python3-all-dev (>= 3.4~),
                python3-all-dbg (>= 3.4~),
                python3-setuptools,
                python3-sphinx,
                python3-multidict,
+               python3-async-timeout,
+               python3-yarl,
                cython3,
 # for tests:
                python3-pytest,

=== debian/rules ===
--- 
+++ 
@@ -14,3 +14,8 @@
 
 override_dh_strip:
 	dh_strip --no-automatic-dbgsym
+
+override_dh_auto_test:
+	# disable tests for now:
+	# https://bugs.python.org/issue28634 needs to be fixed in Debian 
+	# and tests patched to not access internet during build (see https://bugs.debian.org/830567)

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/aiohttp/aiohttp-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-aiohttp 2.2.3

=== vendor/http-parser/Makefile ===
# Copyright Joyent, Inc. and other Node contributors. All rights reserved.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to
# deal in the Software without restriction, including without limitation the
# rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
# sell copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
# FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
# IN THE SOFTWARE.

PLATFORM ?= $(shell sh -c 'uname -s | tr "[A-Z]" "[a-z]"')
HELPER ?=
BINEXT ?=
ifeq (darwin,$(PLATFORM))
SONAME ?= libhttp_parser.2.7.1.dylib
SOEXT ?= dylib
else ifeq (wine,$(PLATFORM))
CC = winegcc
BINEXT = .exe.so
HELPER = wine
else
SONAME ?= libhttp_parser.so.2.7.1
SOEXT ?= so
endif

CC?=gcc
AR?=ar

CPPFLAGS ?=
LDFLAGS ?=

CPPFLAGS += -I.
CPPFLAGS_DEBUG = $(CPPFLAGS) -DHTTP_PARSER_STRICT=1
CPPFLAGS_DEBUG += $(CPPFLAGS_DEBUG_EXTRA)
CPPFLAGS_FAST = $(CPPFLAGS) -DHTTP_PARSER_STRICT=0
CPPFLAGS_FAST += $(CPPFLAGS_FAST_EXTRA)
CPPFLAGS_BENCH = $(CPPFLAGS_FAST)

CFLAGS += -Wall -Wextra -Werror
CFLAGS_DEBUG = $(CFLAGS) -O0 -g $(CFLAGS_DEBUG_EXTRA)
CFLAGS_FAST = $(CFLAGS) -O3 $(CFLAGS_FAST_EXTRA)
CFLAGS_BENCH = $(CFLAGS_FAST) -Wno-unused-parameter
CFLAGS_LIB = $(CFLAGS_FAST) -fPIC

LDFLAGS_LIB = $(LDFLAGS) -shared

INSTALL ?= install
PREFIX ?= $(DESTDIR)/usr/local
LIBDIR = $(PREFIX)/lib
INCLUDEDIR = $(PREFIX)/include

ifneq (darwin,$(PLATFORM))
# TODO(bnoordhuis) The native SunOS linker expects -h rather than -soname...
LDFLAGS_LIB += -Wl,-soname=$(SONAME)
endif

test: test_g test_fast
	$(HELPER) ./test_g$(BINEXT)
	$(HELPER) ./test_fast$(BINEXT)

test_g: http_parser_g.o test_g.o
	$(CC) $(CFLAGS_DEBUG) $(LDFLAGS) http_parser_g.o test_g.o -o $@

test_g.o: test.c http_parser.h Makefile
	$(CC) $(CPPFLAGS_DEBUG) $(CFLAGS_DEBUG) -c test.c -o $@

http_parser_g.o: http_parser.c http_parser.h Makefile
	$(CC) $(CPPFLAGS_DEBUG) $(CFLAGS_DEBUG) -c http_parser.c -o $@

test_fast: http_parser.o test.o http_parser.h
	$(CC) $(CFLAGS_FAST) $(LDFLAGS) http_parser.o test.o -o $@

test.o: test.c http_parser.h Makefile
	$(CC) $(CPPFLAGS_FAST) $(CFLAGS_FAST) -c test.c -o $@

bench: http_parser.o bench.o
	$(CC) $(CFLAGS_BENCH) $(LDFLAGS) http_parser.o bench.o -o $@

bench.o: bench.c http_parser.h Makefile
	$(CC) $(CPPFLAGS_BENCH) $(CFLAGS_BENCH) -c bench.c -o $@

http_parser.o: http_parser.c http_parser.h Makefile
	$(CC) $(CPPFLAGS_FAST) $(CFLAGS_FAST) -c http_parser.c

test-run-timed: test_fast
	while(true) do time $(HELPER) ./test_fast$(BINEXT) > /dev/null; done

test-valgrind: test_g
	valgrind ./test_g

libhttp_parser.o: http_parser.c http_parser.h Makefile
	$(CC) $(CPPFLAGS_FAST) $(CFLAGS_LIB) -c http_parser.c -o libhttp_parser.o

library: libhttp_parser.o
	$(CC) $(LDFLAGS_LIB) -o $(SONAME) $<

package: http_parser.o
	$(AR) rcs libhttp_parser.a http_parser.o

url_parser: http_parser.o contrib/url_parser.c
	$(CC) $(CPPFLAGS_FAST) $(CFLAGS_FAST) $^ -o $@

url_parser_g: http_parser_g.o contrib/url_parser.c
	$(CC) $(CPPFLAGS_DEBUG) $(CFLAGS_DEBUG) $^ -o $@

parsertrace: http_parser.o contrib/parsertrace.c
	$(CC) $(CPPFLAGS_FAST) $(CFLAGS_FAST) $^ -o parsertrace$(BINEXT)

parsertrace_g: http_parser_g.o contrib/parsertrace.c
	$(CC) $(CPPFLAGS_DEBUG) $(CFLAGS_DEBUG) $^ -o parsertrace_g$(BINEXT)

tags: http_parser.c http_parser.h test.c
	ctags $^

install: library
	$(INSTALL) -D  http_parser.h $(INCLUDEDIR)/http_parser.h
	$(INSTALL) -D $(SONAME) $(LIBDIR)/$(SONAME)
	ln -s $(LIBDIR)/$(SONAME) $(LIBDIR)/libhttp_parser.$(SOEXT)

install-strip: library
	$(INSTALL) -D  http_parser.h $(INCLUDEDIR)/http_parser.h
	$(INSTALL) -D -s $(SONAME) $(LIBDIR)/$(SONAME)
	ln -s $(LIBDIR)/$(SONAME) $(LIBDIR)/libhttp_parser.$(SOEXT)

uninstall:
	rm $(INCLUDEDIR)/http_parser.h
	rm $(LIBDIR)/$(SONAME)
	rm $(LIBDIR)/libhttp_parser.so

clean:
	rm -f *.o *.a tags test test_fast test_g \
		http_parser.tar libhttp_parser.so.* \
		url_parser url_parser_g parsertrace parsertrace_g \
		*.exe *.exe.so

contrib/url_parser.c:	http_parser.h
contrib/parsertrace.c:	http_parser.h

.PHONY: clean package test-run test-run-timed test-valgrind install install-strip uninstall

=== debian/changelog ===
python-aiohttp (2.2.3-2) unstable; urgency=medium

  * Team upload.
  * d/rules: clean generated C files. Closes: #880352.
  * d/control: bump Standards-Version to 4.1.1.
  * d/watch: switch to HTTPS.

 -- Vincent Bernat <bernat@debian.org>  Sun, 26 Nov 2017 19:06:47 +0100

python-aiohttp (2.2.3-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 09 Jul 2017 22:53:16 +0200

python-aiohttp (2.2.0-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version bumped to 4.0.0 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 23 Jun 2017 19:50:46 +0200

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                python3-pytest,
                python3-chardet,
                python3-gunicorn
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: https://aiohttp.readthedocs.org
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-aiohttp.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-aiohttp.git
@@ -39,7 +39,6 @@
 Package: python3-aiohttp-dbg
 Architecture: any
 Section: debug
-Priority: extra
 Depends: python3-aiohttp (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
 Description: http client/server for asyncio - debug version
  HTTP Client for asyncio (PEP 3156 - Asynchronous I/O Support).

## python-aiohttp 3.0.1

=== Makefile ===
# Some simple testing tasks (sorry, UNIX only).

all: test

.install-deps: $(shell find requirements -type f)
	@pip install -U -r requirements/dev.txt
	@touch .install-deps

isort:
	isort -rc aiohttp
	isort -rc tests
	isort -rc examples
	isort -rc demos

flake: .flake

.flake: .install-deps $(shell find aiohttp -type f) \
                      $(shell find tests -type f) \
                      $(shell find examples -type f) \
                      $(shell find demos -type f)
	@flake8 aiohttp --exclude=aiohttp/backport_cookies.py
	@flake8 examples tests demos
	python setup.py check -rms
	@if ! isort -c -rc aiohttp tests examples; then \
            echo "Import sort errors, run 'make isort' to fix them!!!"; \
            isort --diff -rc aiohttp tests examples; \
            false; \
	fi
	@touch .flake

check_changes:
	@./tools/check_changes.py

.develop: .install-deps $(shell find aiohttp -type f) .flake check_changes
	@pip install -e .
	@touch .develop

test: .develop
	@pytest -q ./tests

vtest: .develop
	@pytest -s -v ./tests

cov cover coverage:
	tox

cov-dev: .develop
	@echo "Run without extensions"
	@AIOHTTP_NO_EXTENSIONS=1 pytest --cov=aiohttp tests
	@pytest --cov=aiohttp --cov-report=term --cov-report=html --cov-append tests
	@echo "open file://`pwd`/htmlcov/index.html"

cov-ci-no-ext: .develop
	@echo "Run without extensions"
	@AIOHTTP_NO_EXTENSIONS=1 pytest --cov=aiohttp tests
cov-ci-aio-debug: .develop
	@echo "Run in debug mode"
	@PYTHONASYNCIODEBUG=1 pytest --cov=aiohttp --cov-append tests
cov-ci-run: .develop
	@echo "Regular run"
	@pytest --cov=aiohttp --cov-report=term --cov-report=html --cov-append tests

cov-dev-full: cov-ci-no-ext cov-ci-aio-debug cov-ci-run
	@echo "open file://`pwd`/htmlcov/index.html"

clean:
	@rm -rf `find . -name __pycache__`
	@rm -f `find . -type f -name '*.py[co]' `
	@rm -f `find . -type f -name '*~' `
	@rm -f `find . -type f -name '.*~' `
	@rm -f `find . -type f -name '@*' `
	@rm -f `find . -type f -name '#*#' `
	@rm -f `find . -type f -name '*.orig' `
	@rm -f `find . -type f -name '*.rej' `
	@rm -f .coverage
	@rm -rf htmlcov
	@rm -rf build
	@rm -rf cover
	@make -C docs clean
	@python setup.py clean
	@rm -f aiohttp/_frozenlist.html
	@rm -f aiohttp/_frozenlist.c
	@rm -f aiohttp/_frozenlist.*.so
	@rm -f aiohttp/_frozenlist.*.pyd
	@rm -f aiohttp/_http_parser.html
	@rm -f aiohttp/_http_parser.c
	@rm -f aiohttp/_http_parser.*.so
	@rm -f aiohttp/_http_parser.*.pyd
	@rm -f aiohttp/_multidict.html
	@rm -f aiohttp/_multidict.c
	@rm -f aiohttp/_multidict.*.so
	@rm -f aiohttp/_multidict.*.pyd
	@rm -f aiohttp/_websocket.html
	@rm -f aiohttp/_websocket.c
	@rm -f aiohttp/_websocket.*.so
	@rm -f aiohttp/_websocket.*.pyd
	@rm -f aiohttp/_parser.html
	@rm -f aiohttp/_parser.c
	@rm -f aiohttp/_parser.*.so
	@rm -f aiohttp/_parser.*.pyd
	@rm -rf .tox
	@rm -f .develop
	@rm -f .flake
	@rm -f .install-deps
	@rm -rf aiohttp.egg-info

doc:
	@make -C docs html SPHINXOPTS="-W -E"
	@echo "open file://`pwd`/docs/_build/html/index.html"

doc-spelling:
	@make -C docs spelling SPHINXOPTS="-W -E"

install:
	@pip install -U pip
	@pip install -Ur requirements/dev.txt

.PHONY: all build flake test vtest cov clean doc

=== demos/polls/Makefile ===
# Some simple testing tasks (sorry, UNIX only).

FLAGS=


flake:
	pyflakes aiohttpdemo_polls
	pep8 aiohttpdemo_polls setup.py

test:
	pytest tests

clean:
	rm -rf `find . -name __pycache__`
	rm -f `find . -type f -name '*.py[co]' `
	rm -f `find . -type f -name '*~' `
	rm -f `find . -type f -name '.*~' `
	rm -f `find . -type f -name '@*' `
	rm -f `find . -type f -name '#*#' `
	rm -f `find . -type f -name '*.orig' `
	rm -f `find . -type f -name '*.rej' `
	rm -f .coverage
	rm -rf coverage
	rm -rf build
	rm -rf htmlcov
	rm -rf dist

.PHONY: flake clean test

=== demos/polls/requirements.txt ===
-e .
docker-py==1.10.6
pytest-aiohttp==0.3.0
trafaret_config==1.0.1

=== vendor/http-parser/Makefile ===
--- 
+++ 
@@ -21,16 +21,22 @@
 PLATFORM ?= $(shell sh -c 'uname -s | tr "[A-Z]" "[a-z]"')
 HELPER ?=
 BINEXT ?=
+SOLIBNAME = libhttp_parser
+SOMAJOR = 2
+SOMINOR = 7
+SOREV   = 1
 ifeq (darwin,$(PLATFORM))
-SONAME ?= libhttp_parser.2.7.1.dylib
 SOEXT ?= dylib
+SONAME ?= $(SOLIBNAME).$(SOMAJOR).$(SOMINOR).$(SOEXT)
+LIBNAME ?= $(SOLIBNAME).$(SOMAJOR).$(SOMINOR).$(SOREV).$(SOEXT)
 else ifeq (wine,$(PLATFORM))
 CC = winegcc
 BINEXT = .exe.so
 HELPER = wine
 else
-SONAME ?= libhttp_parser.so.2.7.1
 SOEXT ?= so
+SONAME ?= $(SOLIBNAME).$(SOEXT).$(SOMAJOR).$(SOMINOR)
+LIBNAME ?= $(SOLIBNAME).$(SOEXT).$(SOMAJOR).$(SOMINOR).$(SOREV)
 endif
 
 CC?=gcc
@@ -55,11 +61,13 @@
 LDFLAGS_LIB = $(LDFLAGS) -shared
 
 INSTALL ?= install
-PREFIX ?= $(DESTDIR)/usr/local
+PREFIX ?= /usr/local
 LIBDIR = $(PREFIX)/lib
 INCLUDEDIR = $(PREFIX)/include
 
-ifneq (darwin,$(PLATFORM))
+ifeq (darwin,$(PLATFORM))
+LDFLAGS_LIB += -Wl,-install_name,$(LIBDIR)/$(SONAME)
+else
 # TODO(bnoordhuis) The native SunOS linker expects -h rather than -soname...
 LDFLAGS_LIB += -Wl,-soname=$(SONAME)
 endif
@@ -102,7 +110,7 @@
 	$(CC) $(CPPFLAGS_FAST) $(CFLAGS_LIB) -c http_parser.c -o libhttp_parser.o
 
 library: libhttp_parser.o
-	$(CC) $(LDFLAGS_LIB) -o $(SONAME) $<
+	$(CC) $(LDFLAGS_LIB) -o $(LIBNAME) $<
 
 package: http_parser.o
 	$(AR) rcs libhttp_parser.a http_parser.o
@@ -123,19 +131,22 @@
 	ctags $^
 
 install: library
-	$(INSTALL) -D  http_parser.h $(INCLUDEDIR)/http_parser.h
-	$(INSTALL) -D $(SONAME) $(LIBDIR)/$(SONAME)
-	ln -s $(LIBDIR)/$(SONAME) $(LIBDIR)/libhttp_parser.$(SOEXT)
+	$(INSTALL) -D  http_parser.h $(DESTDIR)$(INCLUDEDIR)/http_parser.h
+	$(INSTALL) -D $(LIBNAME) $(DESTDIR)$(LIBDIR)/$(LIBNAME)
+	ln -s $(LIBNAME) $(DESTDIR)$(LIBDIR)/$(SONAME)
+	ln -s $(LIBNAME) $(DESTDIR)$(LIBDIR)/$(SOLIBNAME).$(SOEXT)
 
 install-strip: library
-	$(INSTALL) -D  http_parser.h $(INCLUDEDIR)/http_parser.h
-	$(INSTALL) -D -s $(SONAME) $(LIBDIR)/$(SONAME)
-	ln -s $(LIBDIR)/$(SONAME) $(LIBDIR)/libhttp_parser.$(SOEXT)
+	$(INSTALL) -D  http_parser.h $(DESTDIR)$(INCLUDEDIR)/http_parser.h
+	$(INSTALL) -D -s $(LIBNAME) $(DESTDIR)$(LIBDIR)/$(LIBNAME)
+	ln -s $(LIBNAME) $(DESTDIR)$(LIBDIR)/$(SONAME)
+	ln -s $(LIBNAME) $(DESTDIR)$(LIBDIR)/$(SOLIBNAME).$(SOEXT)
 
 uninstall:
-	rm $(INCLUDEDIR)/http_parser.h
-	rm $(LIBDIR)/$(SONAME)
-	rm $(LIBDIR)/libhttp_parser.so
+	rm $(DESTDIR)$(INCLUDEDIR)/http_parser.h
+	rm $(DESTDIR)$(LIBDIR)/$(SOLIBNAME).$(SOEXT)
+	rm $(DESTDIR)$(LIBDIR)/$(SONAME)
+	rm $(DESTDIR)$(LIBDIR)/$(LIBNAME)
 
 clean:
 	rm -f *.o *.a tags test test_fast test_g \

=== debian/changelog ===
python-aiohttp (3.0.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Piotr Ożarowski ]
  * New upstream release
    - minimum required Python 3 version bumped to 3.5.3
  * bundle idna_ssl module until Python 3.7 is the one supported in Debian

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 14 Feb 2018 12:59:09 +0100

python-aiohttp (2.3.6-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version bumped to 4.1.2 (d/copyright format URL switch to HTTPS)

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 20 Dec 2017 12:01:51 +0100

=== debian/control ===
--- 
+++ 
@@ -17,13 +17,14 @@
                cython3,
 # for tests:
                python3-pytest,
+               python3-pytest-mock,
                python3-chardet,
                python3-gunicorn
-Standards-Version: 4.1.1
+Standards-Version: 4.1.2
 Homepage: https://aiohttp.readthedocs.org
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-aiohttp.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-aiohttp.git
-X-Python3-Version: >= 3.4
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-aiohttp.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-aiohttp
+X-Python3-Version: >= 3.5
 
 Package: python3-aiohttp
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,7 @@
 override_dh_auto_clean:
 	rm -rf .cache
 	dh_auto_clean
+	rm -f aiohttp/_*.c
 
 override_dh_strip:
 	dh_strip --no-automatic-dbgsym

## python-aiohttp 3.1.3

=== Makefile ===
--- 
+++ 
@@ -18,8 +18,7 @@
                       $(shell find tests -type f) \
                       $(shell find examples -type f) \
                       $(shell find demos -type f)
-	@flake8 aiohttp --exclude=aiohttp/backport_cookies.py
-	@flake8 examples tests demos
+	@flake8 aiohttp examples tests demos
 	python setup.py check -rms
 	@if ! isort -c -rc aiohttp tests examples; then \
             echo "Import sort errors, run 'make isort' to fix them!!!"; \

=== debian/changelog ===
python-aiohttp (3.1.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * d/copyright: Fix Format URL to correct one
  * d/rules: Remove trailing whitespaces
  * Bump debhelper compat level to 11
  * Standards-Version is 4.2.0 now (no changes needed)
  * Enable autopkgtest-pkg-python testsuite
  * Install examples
  * Really bump required Python 3 version to 3.5.3
  * Enable all hardening
  * Add upstream metadata
  * d/copyright: Change Source to new location
  * Convert git repository from git-dpm to gbp layout
  * Require python3-yarl at least 1.0 (Closes: #897432)

 -- Ondřej Nový <onovy@debian.org>  Tue, 14 Aug 2018 14:53:26 +0200

=== debian/control ===
--- 
+++ 
@@ -5,30 +5,31 @@
 Uploaders: Tianon Gravi <admwiggin@gmail.com>,
            Paul Tagliamonte <paultag@debian.org>,
            Piotr Ożarowski <piotr@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                dh-python,
-               python3-all-dev (>= 3.4~),
-               python3-all-dbg (>= 3.4~),
+               python3-all-dev (>= 3.5.3~),
+               python3-all-dbg (>= 3.5.3~),
                python3-setuptools,
                python3-sphinx,
                python3-multidict,
                python3-async-timeout,
-               python3-yarl,
+               python3-yarl (>= 1.0),
                cython3,
 # for tests:
                python3-pytest,
                python3-pytest-mock,
                python3-chardet,
                python3-gunicorn
-Standards-Version: 4.1.2
+Standards-Version: 4.2.0
 Homepage: https://aiohttp.readthedocs.org
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-aiohttp.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-aiohttp
 X-Python3-Version: >= 3.5
+Testsuite: autopkgtest-pkg-python
 
 Package: python3-aiohttp
 Architecture: any
-Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
+Depends: python3-yarl (>= 1.0), ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
 Description: http client/server for asyncio
  HTTP Client for asyncio (PEP 3156 - Asynchronous I/O Support).
  .

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 # enable pytest also here to make backports easier
 export PYBUILD_TEST_PYTEST=1
 export PYBUILD_TEST_ARGS={dir}/tests
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem pybuild
@@ -18,5 +19,5 @@
 
 override_dh_auto_test:
 	# disable tests for now:
-	# https://bugs.python.org/issue28634 needs to be fixed in Debian 
+	# https://bugs.python.org/issue28634 needs to be fixed in Debian
 	# and tests patched to not access internet during build (see https://bugs.debian.org/830567)

## python-aiohttp 3.5.1

=== Makefile ===
--- 
+++ 
@@ -3,63 +3,62 @@
 all: test
 
 .install-deps: $(shell find requirements -type f)
-	@pip install -U -r requirements/dev.txt
+	pip install -r requirements/cython.txt
+	pip install -r requirements/dev.txt
 	@touch .install-deps
 
 isort:
 	isort -rc aiohttp
 	isort -rc tests
 	isort -rc examples
-	isort -rc demos
 
 flake: .flake
 
 .flake: .install-deps $(shell find aiohttp -type f) \
                       $(shell find tests -type f) \
-                      $(shell find examples -type f) \
-                      $(shell find demos -type f)
-	@flake8 aiohttp examples tests demos
+                      $(shell find examples -type f)
+	flake8 aiohttp examples tests
 	python setup.py check -rms
 	@if ! isort -c -rc aiohttp tests examples; then \
             echo "Import sort errors, run 'make isort' to fix them!!!"; \
             isort --diff -rc aiohttp tests examples; \
             false; \
 	fi
+	@if ! LC_ALL=C sort -c CONTRIBUTORS.txt; then \
+            echo "CONTRIBUTORS.txt sort error"; \
+	fi
 	@touch .flake
 
 check_changes:
-	@./tools/check_changes.py
+	./tools/check_changes.py
 
-.develop: .install-deps $(shell find aiohttp -type f) .flake check_changes
-	@pip install -e .
+mypy: .flake
+	if python -c "import sys; sys.exit(sys.implementation.name!='cpython')"; then \
+            mypy aiohttp; \
+	fi
+
+.develop: .install-deps $(shell find aiohttp -type f) .flake check_changes mypy
+	# pip install -e .
 	@touch .develop
 
 test: .develop
-	@pytest -q ./tests
+	@pytest -c pytest.ci.ini -q
 
 vtest: .develop
-	@pytest -s -v ./tests
+	@pytest -c pytest.ci.ini -s -v
 
 cov cover coverage:
 	tox
 
 cov-dev: .develop
-	@echo "Run without extensions"
-	@AIOHTTP_NO_EXTENSIONS=1 pytest --cov=aiohttp tests
-	@pytest --cov=aiohttp --cov-report=term --cov-report=html --cov-append tests
+	@pytest -c pytest.ci.ini --cov-report=html
 	@echo "open file://`pwd`/htmlcov/index.html"
 
-cov-ci-no-ext: .develop
-	@echo "Run without extensions"
-	@AIOHTTP_NO_EXTENSIONS=1 pytest --cov=aiohttp tests
-cov-ci-aio-debug: .develop
-	@echo "Run in debug mode"
-	@PYTHONASYNCIODEBUG=1 pytest --cov=aiohttp --cov-append tests
 cov-ci-run: .develop
 	@echo "Regular run"
-	@pytest --cov=aiohttp --cov-report=term --cov-report=html --cov-append tests
+	@pytest -c pytest.ci.ini --cov-report=html
 
-cov-dev-full: cov-ci-no-ext cov-ci-aio-debug cov-ci-run
+cov-dev-full: cov-ci-run
 	@echo "open file://`pwd`/htmlcov/index.html"
 
 clean:

=== debian/changelog ===
python-aiohttp (3.5.1-1) unstable; urgency=medium

  * New upstream release
  * Remove idna_ssl patch - no longer needed in Python >= 3.7
  * Standards-Version bumped to 4.3.0 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 31 Dec 2018 18:15:56 +0100

python-aiohttp (3.4.4-1~exp1) experimental; urgency=medium

  * Team upload
  * New upstream release (Closes: #901010)
  * debian/control:
    - New standards version 4.2.1 - no changes
    - Recommends libjs-jquery
  * debian/gbp.conf: Enable pristine-tar build
  * debian/patches:
    - Refresh patches
    - debian/patches/0002-Use-local-install-of-jquery.patch
      (fixes lintian)
  * debian/rules:
    - Do not delete aiohttp/_*.c in override_dh_auto_clean
    - Delete _find_header.h from binary packages

 -- Ruben Undheim <ruben.undheim@gmail.com>  Fri, 21 Dec 2018 18:32:14 +0000

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                python3-pytest-mock,
                python3-chardet,
                python3-gunicorn
-Standards-Version: 4.2.0
+Standards-Version: 4.3.0
 Homepage: https://aiohttp.readthedocs.org
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-aiohttp.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-aiohttp
@@ -30,6 +30,7 @@
 Package: python3-aiohttp
 Architecture: any
 Depends: python3-yarl (>= 1.0), ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
+Recommends: libjs-jquery
 Description: http client/server for asyncio
  HTTP Client for asyncio (PEP 3156 - Asynchronous I/O Support).
  .

=== debian/rules ===
--- 
+++ 
@@ -12,10 +12,14 @@
 override_dh_auto_clean:
 	rm -rf .cache
 	dh_auto_clean
-	rm -f aiohttp/_*.c
 
 override_dh_strip:
 	dh_strip --no-automatic-dbgsym
+
+override_dh_install:
+	dh_install
+	$(RM) debian/python3-aiohttp-dbg/usr/lib/python3*/dist-packages/aiohttp/_find_header.h
+	$(RM) debian/python3-aiohttp/usr/lib/python3*/dist-packages/aiohttp/_find_header.h
 
 override_dh_auto_test:
 	# disable tests for now:

## python-aiohttp 3.5.4

=== debian/changelog ===
python-aiohttp (3.5.4-1) unstable; urgency=medium

  [ William Grzybowski ]
  * New upstream version 3.5.4
  * Add debian/salsa-ci.yml
  * d/control: add myself to Uploaders
  * d/control: update debhelper to version 12
  * d/copyright: adjust upstream years and remove debian/idna_ssl.py
  * d/python3-aiohttp.pyremove: also remove *.pxd and *.pxi
  * d/rules: run dwz only in the debug package
  * Remove header files using pyremove and not rules

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.
  * d/control: Remove ancient X-Python3-Version field.

 -- William Grzybowski <william@grzy.org>  Fri, 26 Jul 2019 16:17:15 -0300

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Tianon Gravi <admwiggin@gmail.com>,
            Paul Tagliamonte <paultag@debian.org>,
-           Piotr Ożarowski <piotr@debian.org>
-Build-Depends: debhelper (>= 11),
+           Piotr Ożarowski <piotr@debian.org>,
+           William Grzybowski <william@grzy.org>
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all-dev (>= 3.5.3~),
                python3-all-dbg (>= 3.5.3~),
@@ -20,11 +21,10 @@
                python3-pytest-mock,
                python3-chardet,
                python3-gunicorn
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://aiohttp.readthedocs.org
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-aiohttp.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-aiohttp
-X-Python3-Version: >= 3.5
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-aiohttp

## python-aiohttp 3.6.2

=== Makefile ===
--- 
+++ 
@@ -1,16 +1,26 @@
 # Some simple testing tasks (sorry, UNIX only).
+
+PYXS = $(wildcard aiohttp/*.pyx)
+SRC = aiohttp examples tests setup.py
 
 all: test
 
-.install-deps: $(shell find requirements -type f)
+.install-cython:
 	pip install -r requirements/cython.txt
+	touch .install-cython
+
+aiohttp/%.c: aiohttp/%.pyx
+	cython -3 -o $@ $< -I aiohttp
+
+cythonize: .install-cython $(PYXS:.pyx=.c)
+
+.install-deps: cythonize $(shell find requirements -type f)
 	pip install -r requirements/dev.txt
 	@touch .install-deps
 
+
 isort:
-	isort -rc aiohttp
-	isort -rc tests
-	isort -rc examples
+	isort -rc $(SRC)
 
 flake: .flake
 
@@ -29,13 +39,22 @@
 	fi
 	@touch .flake
 
+
+flake8:
+	flake8 $(SRC)
+
+mypy: .flake
+	mypy aiohttp
+
+isort-check:
+	@if ! isort -rc --check-only $(SRC); then \
+            echo "Import sort errors, run 'make isort' to fix them!!!"; \
+            isort --diff -rc $(SRC); \
+            false; \
+	fi
+
 check_changes:
 	./tools/check_changes.py
-
-mypy: .flake
-	if python -c "import sys; sys.exit(sys.implementation.name!='cpython')"; then \
-            mypy aiohttp; \
-	fi
 
 .develop: .install-deps $(shell find aiohttp -type f) .flake check_changes mypy
 	# pip install -e .
@@ -110,7 +129,7 @@
 	@make -C docs spelling SPHINXOPTS="-W -E"
 
 install:
-	@pip install -U pip
+	@pip install -U 'pip'
 	@pip install -Ur requirements/dev.txt
 
-.PHONY: all build flake test vtest cov clean doc
+.PHONY: all build flake test vtest cov clean doc mypy

=== debian/changelog ===
python-aiohttp (3.6.2-1ubuntu1) focal; urgency=medium

  * Backport upstream patch to fix resolver tasks not awaited on cancellation
    (LP: #1969817)

 -- Olivier Gayot <olivier.gayot@canonical.com>  Thu, 22 Apr 2022 18:25:22 +0200

python-aiohttp (3.6.2-1build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 09:27:37 +0100

python-aiohttp (3.6.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ William Grzybowski ]
  * New upstream release
  * d/control:
    - Add Rules-Requires-Root: no
    - Add sphinxdoc to package Depends
    - Update Standards-Version to 4.4.1
  * d/patches: add patch 0002 to add shebang to examples

 -- William Grzybowski <william@grzy.org>  Wed, 23 Oct 2019 09:51:01 -0300

python-aiohttp (3.6.1-1) unstable; urgency=medium

  * New upstream release

 -- William Grzybowski <william@grzy.org>  Mon, 23 Sep 2019 16:51:58 -0300

python-aiohttp (3.6.0-1) unstable; urgency=medium

  * New upstream release
  * d/watch: use version 4 and ignore alpha/beta/rc

 -- William Grzybowski <william@grzy.org>  Tue, 17 Sep 2019 14:38:53 -0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-aiohttp
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Tianon Gravi <admwiggin@gmail.com>,
            Paul Tagliamonte <paultag@debian.org>,
            Piotr Ożarowski <piotr@debian.org>,
@@ -21,7 +22,8 @@
                python3-pytest-mock,
                python3-chardet,
                python3-gunicorn
-Standards-Version: 4.4.0
+Rules-Requires-Root: no
+Standards-Version: 4.4.1
 Homepage: https://aiohttp.readthedocs.org
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-aiohttp.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-aiohttp
@@ -29,7 +31,7 @@
 
 Package: python3-aiohttp
 Architecture: any
-Depends: python3-yarl (>= 1.0), ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
+Depends: python3-yarl (>= 1.0), ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}, ${sphinxdoc:Depends}
 Recommends: libjs-jquery
 Description: http client/server for asyncio
  HTTP Client for asyncio (PEP 3156 - Asynchronous I/O Support).

=== debian/rules ===
--- 
+++ 
@@ -13,13 +13,11 @@
 	rm -rf .cache
 	dh_auto_clean
 
+override_dh_dwz:
+	dh_dwz -ppython3-aiohttp-dbg
+
 override_dh_strip:
 	dh_strip --no-automatic-dbgsym
-
-override_dh_install:
-	dh_install
-	$(RM) debian/python3-aiohttp-dbg/usr/lib/python3*/dist-packages/aiohttp/_find_header.h
-	$(RM) debian/python3-aiohttp/usr/lib/python3*/dist-packages/aiohttp/_find_header.h
 
 override_dh_auto_test:
 	# disable tests for now:

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/aiohttp/aiohttp-(\d[\d\.]*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-aiohttp 3.7.4

=== debian/changelog ===
python-aiohttp (3.7.4-1+deb11u1) bullseye-security; urgency=high

  * Non-maintainer upload by the LTS Security Team.
  * Enable autopkgtests
  * Patch CVE-2023-47627, CVE-2023-47641, CVE-2023-49081,
    CVE-2023-49082, CVE-2024-23334, CVE-2024-23829, CVE-2024-27306,
    CVE-2024-30251, CVE-2024-52304

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 31 Jan 2025 16:56:46 +0100

python-aiohttp (3.7.4-1) unstable; urgency=high

  * Team upload
  * New upstream version 3.7.4
  * Fixes only an openredirect issue in normalize_path_middleware middleware
    (CVE-2021-21330) and is thus suitable for bullseye.

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 26 Feb 2021 09:39:16 +0100

python-aiohttp (3.7.3-2) unstable; urgency=medium

  * No change rebuild.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 26 Feb 2021 09:11:31 +0100

python-aiohttp (3.7.3-1) unstable; urgency=medium

  [ Emmanuel Arias ]
  * Add python-aiohttp-doc package (Closes: #950331)
    - Add d/python-aiohttp-doc* files.
    - d/rules: add override_dh_auto_build for build documentation.
    - d/control: add python3-sphinxcontrib.blockdiag depends for build
      documentation.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set field Upstream-Name in debian/copyright.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).

  [ Piotr Ożarowski ]
  * New upstream release
  * Patch documentation to remove "fork me on Github" button (privacy breach)
  * Standards-Version bumped to 4.5.1 (no changes needed)
  * Update debian/copyright to mention vendor/http-parser files

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 15 Jan 2021 20:52:09 +0100

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,11 @@
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem pybuild
+
+override_dh_auto_build:
+	sed -i -e '/sphinxcontrib.asyncio/d' -e '/aiohttp_theme/d' docs/conf.py
+	${MAKE} -C docs html
+	dh_auto_build
 
 override_dh_auto_clean:
 	rm -rf .cache

=== debian/tests/control ===
Tests: upstream-tests
Depends: @, python3-all, python3-pytest, python3-async-generator, python3-freezegun, python3-coverage, python3-pytest-mock
